Loading...
Searching...
No Matches
djlsutil.h File Reference

type definitions and constants for the dcmjpls module More...

## Enumerations

enum | JLS_UIDCreation { EJLSUC_default , EJLSUC_always , EJLSUC_never }
| describes the condition under which a compressed or decompressed image receives a new SOP instance UID. More...
enum | JLS_PlanarConfiguration { EJLSPC_restore , EJLSPC_auto , EJLSPC_colorByPixel , EJLSPC_colorByPlane }
| describes how the decoder should handle planar configuration of decompressed color images. More...
enum | JLS_CompressionBitDepth { EJLSBD_original , EJLSBD_limit , EJLSBD_force }
| describes how the encoder handles the image bit depth upon lossy compression. More...

## Variables

DCMTK_DCMJPLS_EXPORT const OFConditionConst | EC_JLSUncompressedBufferTooSmall
| error condition constant: Too small buffer used for image data (internal error)
DCMTK_DCMJPLS_EXPORT const OFConditionConst | EC_JLSCompressedBufferTooSmall
| error condition constant: Too small buffer used for compressed image data (internal error)
DCMTK_DCMJPLS_EXPORT const OFConditionConst | EC_JLSCodecUnsupportedImageType
| error condition constant: The image uses some features which the codec does not support
DCMTK_DCMJPLS_EXPORT const OFConditionConst | EC_JLSCodecInvalidParameters
| error condition constant: The codec was fed with invalid parameters (e.g. height = -1)
DCMTK_DCMJPLS_EXPORT const OFConditionConst | EC_JLSCodecUnsupportedValue
| error condition constant: The codec was fed with unsupported parameters (e.g. 32 bit per sample)
DCMTK_DCMJPLS_EXPORT const OFConditionConst | EC_JLSInvalidCompressedData
| error condition constant: The compressed image is invalid
DCMTK_DCMJPLS_EXPORT const OFConditionConst | EC_JLSUnsupportedBitDepthForTransform
| error condition constant: The images' color transformation is not supported in this bit depth
DCMTK_DCMJPLS_EXPORT const OFConditionConst | EC_JLSUnsupportedColorTransform
| error condition constant: The images' color transformation is not supported
DCMTK_DCMJPLS_EXPORT const OFConditionConst | EC_JLSUnsupportedBitDepth
| error condition constant: Unsupported bit depth in JPEG-LS transfer syntax
DCMTK_DCMJPLS_EXPORT const OFConditionConst | EC_JLSCannotComputeNumberOfFragments
| error condition constant: Cannot compute number of fragments for JPEG-LS frame
DCMTK_DCMJPLS_EXPORT const OFConditionConst | EC_JLSImageDataMismatch
| error condition constant: Image data mismatch between DICOM header and JPEG-LS bitstream
DCMTK_DCMJPLS_EXPORT const OFConditionConst | EC_JLSUnsupportedPhotometricInterpretation
| error condition constant: Unsupported photometric interpretation for near-lossless JPEG-LS compression
DCMTK_DCMJPLS_EXPORT const OFConditionConst | EC_JLSUnsupportedPixelRepresentation
| error condition constant: Unsupported pixel representation for near-lossless JPEG-LS compression
DCMTK_DCMJPLS_EXPORT const OFConditionConst | EC_JLSUnsupportedImageType
| error condition constant: Unsupported type of image for JPEG-LS compression
DCMTK_DCMJPLS_EXPORT const OFConditionConst | EC_JLSTooMuchCompressedData
| error condition constant: Trailing data after image

## Detailed Description

type definitions and constants for the dcmjpls module

## Enumeration Type Documentation

## JLS_CompressionBitDepth

enum JLS_CompressionBitDepth

describes how the encoder handles the image bit depth upon lossy compression.

Enumerator
EJLSBD_original | keep original bit depth
EJLSBD_limit | limit bit depth to a certain value, i.e. scale down if the original image bit depth is larger
EJLSBD_force | force bit depth to a certain value, i.e. scale up or scale down the original image to match the given bit depth.

## JLS_PlanarConfiguration

enum JLS_PlanarConfiguration

describes how the decoder should handle planar configuration of decompressed color images.

Enumerator
EJLSPC_restore | restore planar configuration as indicated in data set
EJLSPC_auto | automatically determine whether color-by-plane is required from the SOP Class UID and decompressed photometric interpretation
EJLSPC_colorByPixel | always create color-by-pixel planar configuration
EJLSPC_colorByPlane | always create color-by-plane planar configuration

## JLS_UIDCreation

enum JLS_UIDCreation

describes the condition under which a compressed or decompressed image receives a new SOP instance UID.

Enumerator
EJLSUC_default | Upon compression, assign new SOP instance UID if compression is lossy. Upon decompression never assign new SOP instance UID.
EJLSUC_always | always assign new SOP instance UID on compression and decompression
EJLSUC_never | never assign new SOP instance UID

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0